=== debian/changelog ===
crystal (1.9.2+dfsg-3) unstable; urgency=medium

  * Disable interpreter again.

 -- David Suárez <deiv@debian.org>  Tue, 08 Aug 2023 20:26:59 +0200

crystal (1.9.2+dfsg-2) unstable; urgency=medium

  * Recover 1.6.0+dfsg-3 version lost changes (Closes: #1043235).
  * Build interpreter again.

 -- David Suárez <deiv@debian.org>  Tue, 08 Aug 2023 16:24:42 +0200

crystal (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1026873).
  * d/patches:
    - Remove patch 'fix-sbuild-pkgbuilddir-filtering-in-unix-spec'.
    - Refresh patch 'remove-check-in-random-failing-test'.
  * Switch to pcre2 (Closes: #1000025).
  * Install fish completion file.
  * debian/control:
    - Bump debhelper compat version.
    - Update standards version; No changes needed.

 -- David Suárez <deiv@debian.org>  Wed, 26 Jul 2023 21:12:38 +0200
