=== debian/control ===
Source: crystal
Section: devel
Priority: optional
Maintainer: David Suárez <deiv@debian.org>
Build-Depends: debhelper-compat (= 13),
               git,
               libbsd-dev,
               libedit-dev,
               libevent-dev,
               libgc-dev (>= 1:7.6.0),
               libgmp-dev,
               libpcre2-dev,
               libssl-dev,
               libtool,
               libxml2-dev,
               libyaml-dev,
               libz-dev,
               lld-14,
               llvm-14-dev,
               pkg-config,
               crystal (>= 1.6.0)
Standards-Version: 4.6.2
Homepage: https://crystal-lang.org/
Vcs-Git: https://salsa.debian.org/deiv/crystal.git
Vcs-Browser: https://salsa.debian.org/deiv/crystal
Rules-Requires-Root: no

Package: crystal
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcc,
         libgc-dev,
         pkg-config,
         libpcre2-dev,
         libevent-dev
Recommends: libssl-dev, libz-dev, libxml2-dev, libgmp-dev, libyaml-dev
Suggests: crystal-doc, crystal-samples
Description: compiler of the Crystal object-oriented programming language
 The Crystal's language syntax is inspired by Ruby, the language is statically
 type-checked but does not require that the type of variables or method
 arguments be specified.
 .
 The language has the following goals: (1) have the same syntax as Ruby, or at
 least as similar as possible; (2) statically type-checked but without having
 to specify the type of variables or method arguments; (3) be able to call C
 code by writing bindings to it in Crystal; (4) have compile-time evaluation
 and generation of code, to avoid boilerplate code; (5) compile to efficient
 native code.

Package: crystal-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser
Description: API documentation for the Crystal object-oriented programming language
 The Crystal's language syntax is inspired by Ruby, the language is statically
 type-checked but does not require that the type of variables or method
 arguments be specified.
 .
 This package contains the documentation for the standard library.

Package: crystal-samples
Architecture: all
Depends: ${misc:Depends}
Description: samples for the Crystal object-oriented programming language
 The Crystal's language syntax is inspired by Ruby, the language is statically
 type-checked but does not require that the type of variables or method
 arguments be specified.
 .
 This package contains some examples for starting to play with the language.
