=== debian/changelog ===
crystal (1.11.2+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:41 +1100

crystal (1.11.2+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:20:17 +0100

crystal (1.11.2+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libllvm17t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:08:36 +0000

crystal (1.11.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Build with LLVM 17 (Closes: #1061211).
  * Rename pkg-config to pkgconf.
  * Refresh disable-udp-multicast-specs patch.
  * Reintroduce playground again.
  * Update copyright.
  * Lintian overrides for false positives.

 -- David Suárez <deiv@debian.org>  Thu, 29 Feb 2024 20:11:24 +0100
