=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: crystal
 Section: devel
 Priority: optional
-Maintainer: David Suárez <deiv@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Suárez <deiv@debian.org>
 Build-Depends: debhelper-compat (= 13),
                git,
                libbsd-dev,
@@ -15,9 +16,9 @@
                libxml2-dev,
                libyaml-dev,
                libz-dev,
-               lld-14,
-               llvm-14-dev,
-               pkg-config,
+               lld-17,
+               llvm-17-dev,
+               pkgconf,
                crystal (>= 1.6.0)
 Standards-Version: 4.6.2
 Homepage: https://crystal-lang.org/
@@ -31,9 +32,11 @@
          ${shlibs:Depends},
          gcc,
          libgc-dev,
-         pkg-config,
+         pkgconf,
          libpcre2-dev,
-         libevent-dev
+         libevent-dev,
+         libjs-codemirror,
+         libjs-jquery
 Recommends: libssl-dev, libz-dev, libxml2-dev, libgmp-dev, libyaml-dev
 Suggests: crystal-doc, crystal-samples
 Description: compiler of the Crystal object-oriented programming language
