=== debian/changelog ===
crystal (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1070456).
  * Refresh disable-udp-multicast-specs patch.

 -- David Suárez <deiv@debian.org>  Fri, 17 May 2024 20:30:19 +0200
