=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: crystal
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Suárez <deiv@debian.org>
+Maintainer: David Suárez <deiv@debian.org>
 Build-Depends: debhelper-compat (= 13),
                git,
                libbsd-dev,
