=== debian/changelog ===
crystal (1.14.0+dfsg-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:22:51 +0200

crystal (1.14.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:41 +0200

crystal (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1082568).
  * Build with LLVM 19 (Closes: #1084068).
  * Update standards version; no changes needed.

 -- David Suárez <deiv@debian.org>  Fri, 20 Dec 2024 17:35:09 +0100
