=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                libxml2-dev,
                libyaml-dev,
                libz-dev,
-               lld-17,
-               llvm-17-dev,
+               lld-19,
+               llvm-19-dev,
                pkgconf,
                crystal (>= 1.6.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://crystal-lang.org/
 Vcs-Git: https://salsa.debian.org/deiv/crystal.git
 Vcs-Browser: https://salsa.debian.org/deiv/crystal
