## crystal 1.18.2+dfsg

=== debian/changelog ===
crystal (1.18.2+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1107235).
  * Update standards version; no changes needed.
  * Refresh disable-udp-multicast-specs patch.
  * Update copyright.
  * d/rules:
    - Doc install rule nows honor PREFIX, use it.
    - Clean generated docs.

 -- David Suárez <deiv@debian.org>  Tue, 25 Nov 2025 17:19:53 +0100
