=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                llvm-19-dev,
                pkgconf,
                crystal (>= 1.6.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://crystal-lang.org/
 Vcs-Git: https://salsa.debian.org/deiv/crystal.git
 Vcs-Browser: https://salsa.debian.org/deiv/crystal
