=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 		-iname "*.cc" \
 		| xargs rm
 		
-	make install_docs DATADIR=$(DESTDIR)/usr/share/doc/crystal
+	make install_docs PREFIX=/usr DESTDIR=$(DESTDIR)
 	
 	# fix privacy-breach-generic links on html docs
 	sed -i  '/<p><a href=/{:a;N;/alt="Crystal - Born and raised at Manas" \/><\/a><\/p>/!ba};//d' \
@@ -55,3 +55,4 @@
 override_dh_clean:
 	dh_clean
 	rm -f man/*.gz
+	rm -Rf docs
