=== tests/requirements.txt ===
# Packages needed to run the tests.
# Switch into a virtual environment
# pip install -r requirements.txt

chromedriver-binary
dash[testing]>=0.31.0  # be sure to install dash with additional dependencies for testing
dash-core-components
dash-html-components
dash-renderer
ipdb
percy
selenium==4.2 # pin needed due to DashComposite AttributeError: 'WebDriver' object has no attribute 'find_element_by_css_selector' (see https://stackoverflow.com/a/72754667)
flake8
pylint
