=== tests/asy_test/single/Makefile ===
all: interact

interact:
	asy -V GaN.asy

offscreen:
	asy --offscreen GaN.asy
